package com.ylx.usercenter.service;

import com.ylx.common.core.domain.R;
import com.ylx.usercenter.domain.dto.UnifiedUserCenterDTO;
import com.ylx.usercenter.domain.vo.OneAccountVO;

public interface UnifiedUserCenterService {
    R<?> queryBind(UnifiedUserCenterDTO dto);

    R<?> bind(UnifiedUserCenterDTO dto);

    R<?> unbind(UnifiedUserCenterDTO dto);

    OneAccountVO queryClients(String uuid);

    void syncLotteryCount(UnifiedUserCenterDTO dto);

    R<?> bindUpdate(UnifiedUserCenterDTO dto);
}
